/*! \file   lcd.c
    \brief  wrapper for ROM LCD number display functions
    \author Markus L. Noga <noga@inrialpes.fr>
*/
    
/*
 *  The contents of this file are subject to the Mozilla Public License
 *  Version 1.0 (the "License"); you may not use this file except in
 *  compliance with the License. You may obtain a copy of the License at
 *  http://www.mozilla.org/MPL/
 *
 *  Software distributed under the License is distributed on an "AS IS"
 *  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 *  License for the specific language governing rights and limitations
 *  under the License.
 *
 *  The Original Code is legOS code, released March 19, 1999.
 *
 *  The Initial Developer of the Original Code is Markus L. Noga.
 *  Portions created by Markus L. Noga are Copyright (C) 1999
 *  Markus L. Noga. All Rights Reserved.
 *
 *  Contributor(s): Markus L. Noga <noga@inrialpes.fr>
 */

#include "rom/lcd.h"

///////////////////////////////////////////////////////////////////////////////
//
// Functions
//
///////////////////////////////////////////////////////////////////////////////

//! show number on LCD display
/*! \param i the number
    \param n a number style
    \param c a comma style
*/
void lcd_number(int i,lcd_number_style n,lcd_comma_style c  );
__asm__("
.text
.align 1
.globl _lcd_number
_lcd_number:
        push r6         ; save r6
    
        push r2         ; comma_style  -> stack
        push r0         ; number       -> stack
    
        mov.w r1,r6     ; number_style -> r6
    
        jsr @0x1ff2:0   ; call ROM
    
        adds #0x02,r7   ; clear stack
        adds #0x02,r7
        
        pop r6          ; restore r6
        rts
        
       ");
